package com.gree.mall.contest.bean.goods;


import com.gree.mall.contest.plus.entity.Goods;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
public class ActiveGoodsAddReqBean {

    @Schema(description = "唯一id(type>=2可取小程序模板id)")
    private String objectId;
    @Schema(description = "类型: 1=新维度分类，2=首页弹窗， 3=活动专区1，4=活动专区2左侧，5=活动专区2右侧，6=专场专区1，7=专场专区2 ， 8=专场专区3 ， 9=专场专区4")
    private Integer type;
    @Schema(description = "所选商品")
    private List<Goods> goodsList;
    @Schema(description = "主标题")
    private String title;
    @Schema(description = "小标题")
    private String title2;

}
