package com.gree.mall.contest.enums.manage;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.contest.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum NoticeTypeEnum implements BaseEnum {

    TAKE_PRICE_CHANGE("TAKE_PRICE_CHANGE","收购价格变动"),
    INFO_SETTLE_INVOICE_REMIND("INFO_SETTLE_INVOICE_REMIND","信息费结算账单已开票提醒"),
    FEE_SETTLE_INVOICE_REMIND("FEE_SETTLE_INVOICE_REMIND","信息费结算账单已开票提醒"),
    QUALITY_WAIT_CONFIRM("QUALITY_WAIT_CONFIRM","报货单质检待确认"),
    BALANCE_REMIND("BALANCE_REMIND","余额不足"),
    RECHARGE_SUCCESS("RECHARGE_SUCCESS","充值成功"),
    WITHDRAWAL_SUCCESS("WITHDRAWAL_SUCCESS","钱包余额提现成功"),
    EXCEPTION_ORDER_APPEAL("EXCEPTION_ORDER_APPEAL","异常订单待申诉"),
    EXCEPTION_ORDER_CONFIRM("EXCEPTION_ORDER_CONFIRM", "异常订单待审核"),
    EXCEPTION_ORDER_END("EXCEPTION_ORDER_END", "异常订单审核完成"),
    INFO_SETTLE_REMIND("INFO_SETTLE_REMIND", "信息费用结算账单待确认提醒"),
    BALANCE_ADD("BALANCE_ADD", "钱包余额新增（平台确认付款）"),
    ORDER_REMIND("ORDER_REMIND", "订单提醒"),
    ACTIVITY_REMIND("ACTIVITY_REMIND", "活动提醒"),
    ACCOUNT_BALANCE_CHANGE("ACCOUNT_BALANCE_CHANGE", "账户余额变动"),
    MINI_SYS_NEWS("MINI_SYS_NEWS", "小程序系统消息"),
    WORKER_CERT_EXPIRE("WORKER_CERT_EXPIRE", "师傅证件即将过期"),
    WORKER_CERT_TIMEOUT("WORKER_CERT_TIMEOUT", "师傅证件已过期"),
    ;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;
}
