package com.gree.mall.contest.bean.user;

import com.gree.mall.contest.plus.entity.User;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

@EqualsAndHashCode(callSuper = true)
@Data
public class UserWxBean extends User {

    @Schema(description = "收益总额")
    private BigDecimal totalAmount = new BigDecimal(0);
    @Schema(description = "客户数量")
    private Integer customerNums = 0;
    @Schema(description = "绑定的业务员电话")
    private String servicePhone;
    @Schema(description = "绑定的业务员名称")
    private String serviceName;
    @Schema(description = "业务员自己真实名称")
    private String workerName;
    @Schema(description = "业务员自己电话")
    private String workerPhone;
}
